#include <bits/stdc++.h>
using namespace std;
string m,s[6],a,b,c;
bool vece(string a, string b){
    for(int i=0;i<a.size();i++){
        if(a[i]-('0')>b[i]-'0')return true;
        if(a[i]-('0')<b[i]-'0')return false;
    }
    return true;
}
int main(){

    cin>>a>>b>>c;
    //cout<<a[0]<<endl;
    s[0]=a+b+c;
    s[1]=a+c+b;
    s[2]=b+a+c;
    s[3]=b+c+a;
    s[4]=c+a+b;
    s[5]=c+b+a;
    m=s[0];
    for(int i=1;i<6;i++){
        if(vece(s[i],m))m=s[i];
    }
    cout<<m;
    return 0;
}